Subject: Release of xpm-3.3 DLL for Linux
From: Mitch DSouza <[email-masked]>
Date: 4 Jan 1994 22:45:08 GMT
Newsgroups: comp.os.linux.announce

Hi

This is the announcement for the official release of the xpm-3.3 DLL for
Linux.

The changes I made are the inclusion of the lib/jump directory and its
contents and also lib/Imakefile for the DLL building procedure. Do a diff
on lib/Imakefile and lib/Imakefile.org to see the changes.

>From now on the DLL library numbering procedure will follow the SOXPMLIBREV
scheme. Look in lib/xpm.h for more info.

Finally, I have had reports that the X desk-top manager (xdtm) doesn't work
with newer DLL (greater than 3.2f). This is a problem with xdtm and NOT with
the DLL. All properly written programs like `fvwm', `ctwm', `xpat' etc work
just fine.

The STATIC (libXpm.a) library was compiled with libc-4.5.8 hence you
need to use a similar version or above if you want to build Xpm *static*
binaries, otherwise some stdio (IO_) references will fail to be resolved
with older libc versions due to the recent changes. This does not stop you
using the new SHARED DLL with any version of libc however.

NOTE: I strongly reccomend that you get the DLL tools version 2.10 if you
are using libc.so.4.5.8 (or above) and want to rebuild the library yourself.

	Site:		sunsite.unc.edu
	File:		libXpm-3.3.tar.gz
	Directory:	/pub/Linux/libs (or /pub/Linux/Incoming)

Please read the README.dll in the .tar.gz file there first.

Mitch
[email-masked].

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.